Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shoppingcart
Interface ShoppingCartConstants

Deprecated

    @Deprecated
    public interface ShoppingCartConstants

This class defines constants that are used in the `ShoppingCart` and `ShoppingCartLine`

See Also
  `ShoppingCartLine`, `ShoppingCartLineHome`

Field Summary
`static int` | `LINE_ADJUSTMENTS` Deprecated Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line adjustments
`static int` | `LINE_SHIPPING` Deprecated Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line shipping costs
`static int` | `LINE_TAX` Deprecated Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line tax
`static int` | `LINE_UNIT_PRICE_TIMES_QUANTITY` Deprecated Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line quantity * unit price
`static int` | `SHOPPING_CART_ADJUSTMENTS` Deprecated Used to signify that the total returned from getTotal() method should include the shopping cart level tax
`static int` | `SHOPPING_CART_SHIPPING` Deprecated Used to signify that the total returned from getTotal() method should include the shopping cart level shipping costs

Field Detail

### LINE_UNIT_PRICE_TIMES_QUANTITY

    static final int LINE_UNIT_PRICE_TIMES_QUANTITY

  Deprecated
  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line quantity * unit price

  See Also
    Constants Summary

### LINE_ADJUSTMENTS

    static final int LINE_ADJUSTMENTS

  Deprecated
  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line adjustments

  See Also
    Constants Summary

### LINE_SHIPPING

    static final int LINE_SHIPPING

  Deprecated
  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line shipping costs

  See Also
    Constants Summary

### LINE_TAX

    static final int LINE_TAX

  Deprecated
  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line tax

  See Also
    Constants Summary

### SHOPPING_CART_ADJUSTMENTS

    static final int SHOPPING_CART_ADJUSTMENTS

  Deprecated
  Used to signify that the total returned from getTotal() method should include the shopping cart level tax

  See Also
    Constants Summary

### SHOPPING_CART_SHIPPING

    static final int SHOPPING_CART_SHIPPING

  Deprecated
  Used to signify that the total returned from getTotal() method should include the shopping cart level shipping costs

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.